function arrow(P,L,D)
% ARROW(POINT,DIRECTION) draws an arrow at POINT in the specified DIRECTION
% ARROW(POINT,DIRECTION,SIZE) draws an arrow of specified SIZE 
global UNIT ARROW_SIZE
if nargin<3, D=ARROW_SIZE; end
D=D*UNIT;
f=exp(i*pi*30/180); s=sign(L); 
line(P,P-s*D*f); line(P,P-s*D/f);
