function d=degrees(A,B,C)
% DEGREES(A,B,C) or DEGREES([A;B;C]) gives the size of the positive 
% angle from CB to AB in degrees, in the range 0<DEGREES(A,B,C)<=360
if nargin==1, C=A(3); B=A(2); A=A(1); end
theta=angle((A-B)/(C-B));
d=theta*180/pi;
if d<=0, d=d+360; end
