function [c,c2,c3]=excircle(triangle,t2,t3)
% CIRCLES=EXCIRCLE(TRIANGLE) or CIRCLES=EXCIRCLE(A,B,C)
% or [C1,C2,C3]=EXCIRCLE(...)
if nargin==3, t=[triangle;t2;t3]; 
  else t=zeros(3,1); t(:)=triangle;
end
s=zeros(1,3); s(:)=abs(side(t)); 
one=ones(3,1); M=[-1 1 1;1 -1 1;1 1 -1].*(one*s);
p=M*one; c=(M*t)./p;
p=p/2; M=p*one'-M;
c=[c -sign(area(t))*sqrt(prod(M)'./p)];
if nargout==3, c3=c(3); c2=c(2); c=c(1); end
