function polygon(P,open)
% POLYGON(VERTICES) or POLYGON(VERTICES,0) draws a closed polygon
% POLYGON(VERTICES,1) draws an open polygon
if nargin<2, open=0; end
n=length(P);
for k=2:n, line(P(k-1),P(k)); end
if ~open, line(P(n),P(1)); end
