function rightangle(A,B,C,s)
%  RIGHTANGLE(A,B,C) or RIGHTANGLE([A;B;C]) marks angle  ABC as 
%    right-angled if it actually is. 
%  RIGHTANGLE(A,B,C,S) or RIGHTANGLE([A;B;C],S) specifies bracket size S.
global RIGHT_ANGLE_SIZE UNIT
if nargin<2, B=RIGHT_ANGLE_SIZE; end
if nargin<3, s=B; C=A(3); B=A(2); A=A(1); end
z=(C-B)/(A-B); if nargin<4, s=RIGHT_ANGLE_SIZE; end
s=s*UNIT;
if abs(real(z))>1e-8*abs(imag(z)), return, end
A=B+s*sign(A-B); C=B+s*sign(C-B); D=A+C-B;
line(C,D); line(A,D);
