function [s,t,u]=side(p,open)
% VECTORS=SIDE(POLYGON) or SIDE(POLYGON,0)  (closed polygon)
% VECTORS=SIDE(POLYGON,1)  (open polygon)
% The sides are vectors: use ABS(SIDE(...)) for lengths.
% For a closed polygon with an odd number of sides, the sides are those
% opposite to the vertices.  Otherwise they are those from each vertex to 
% the next.
n=length(p); if nargin<2, open=0; end
if rem(n,2)==1 & open==0, k=(n+1)/2; p=p([k:n 1:k-1]); end
if open==0, p=p([1:n 1]); end
s=diff(p);
if nargout==3, u=s(3); t=s(2); s=s(1); end

